Subject: Re: linux-next: ftrace tree build failure

From: Stephen Rothwell <[email-masked]>
Date: Mon, 25 Aug 2008 16:31:02 +1000

Hi Ingo,

On Mon, 25 Aug 2008 08:11:01 +0200 Ingo Molnar <[email-masked]> wrote:
>
> * Ingo Molnar <[email-masked]> wrote:
> 
> > > kernel/trace/ftrace.c:416: error: incompatible type for argument 1 of '_spin_lock_irqsave'
> > > kernel/trace/ftrace.c:433: error: incompatible type for argument 1 of '_spin_lock_irqsave'
> > > 
> > > (This is after I have disabled CONFIG_FTRACE_MCOUNT_RECORD)
> > 
> > hm, how have you disabled it? It's not an interactive option and it's 
> > always enabled when CONFIG_DYNAMIC_FTRACE is enabled. (that's how that 
> > build failure never got discovered)
> 
> ah, i see the other thread now, about binutils version dependency. I've 
> applied your fix as per the commit below.

I knew you would work it out :-)

Looks good, thanks.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/